Orbiq logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersions

List document versions

List version summaries for the selected locale. The tenant default locale is the fallback when `locale` is not supplied.

GET
/api/v1/documents/{id}/versions

List version summaries for the selected locale. The tenant default locale is the fallback when locale is not supplied.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document UUID

Formatuuid

Query Parameters

locale?string

Selected locale. An invalid or disabled explicit value returns 400.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/documents/550e8400-e29b-41d4-a716-446655440000/versions?locale=en" \  -H "Authorization: Bearer $ACCESS_TOKEN"
{  "versions": [    {      "id": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46",      "key": "00000000-0000-4000-8000-000000000000",      "name": "Approved policy",      "status": "published",      "is_active": true,      "date_created": "2025-04-30T09:30:00Z",      "date_updated": "2025-05-02T11:05:00Z",      "modified_fields": [        "description_markdown"      ]    }  ]}

How is this guide?